gnutls_x509_crt_set_tlsfeatures(3)

NAME
gnutls_x509_crt_set_tlsfeatures - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_tlsfeatures(gnutls_x509_crt_t crt, gnutls_x509_tlsfeatures_t features);

ARGUMENTS

gnutls_x509_crt_t crt
    A X.509 certificate

gnutls_x509_tlsfeatures_t features
    If the function succeeds, the features will be added to the certificate.

DESCRIPTION
This function will set the certificates X.509 TLS extension from the given structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/